package pucrs.hslcommunicationservice.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pucrs.hslcommunicationservice.service.MenuService;

import java.io.IOException;

@RestController
@RequestMapping("/menu")
public class MenuController {

    @Autowired
    private MenuService menuService;

    @PostMapping
    public String postMenu(
            @RequestBody String menuAsBase64
    ) {
        return menuService.addMenu(menuAsBase64);
    }
    
    @GetMapping
    public String getMenu(
    ) throws IOException {
        return menuService.getMenu();
    }
}
