package pucrs.hslcommunicationservice.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pucrs.hslcommunicationservice.aws.S3Client;

import java.io.IOException;

@Service
public class MenuService {

    @Autowired
    private S3Client s3Client;

    private final String MENU_NAME = "cardapio.pdf";

    public String addMenu(String menuAsBase64) {
        s3Client.uploadAttachment(MENU_NAME, menuAsBase64);
        return menuAsBase64;
    }

    public String getMenu() throws IOException {
         return s3Client.getAttachmentAsBase64(MENU_NAME);
    }
}
